Skip to main content
`Ctrl`+`K`

# DMAdaptorSetType

Sets the particular implementation for a adaptor.

## Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorSetType(DMAdaptor adaptor, DMAdaptorType method)

Collective

## Input Parameters

- adaptor - The `DMAdaptor`

- method - The name of the adaptor type

## Options Database Key

- -adaptor_type type - Sets the adaptor type; see `DMAdaptorType`

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMAdaptor`, `DMAdaptorType`, `DMAdaptorGetType()`, `DMAdaptorCreate()`

## Level

intermediate

## Location

src/snes/utils/dm/dmadapt.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages